Update client
curl --request PATCH \
--url https://api.identety.dev/clients/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"redirectUris": [
"<string>"
],
"allowedScopes": [
"<string>"
],
"allowedGrants": [],
"settings": {}
}
'import requests
url = "https://api.identety.dev/clients/{id}"
payload = {
"name": "<string>",
"redirectUris": ["<string>"],
"allowedScopes": ["<string>"],
"allowedGrants": [],
"settings": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
redirectUris: ['<string>'],
allowedScopes: ['<string>'],
allowedGrants: [],
settings: {}
})
};
fetch('https://api.identety.dev/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "uuid-123",
"clientId": "client_abc123",
"clientSecret": "secret_xyz789",
"name": "My Client",
"redirectUris": [
"https://example.com/callback"
],
"allowedScopes": [
"openid",
"profile"
],
"allowedGrants": [
"authorization_code"
],
"isActive": true,
"settings": {
"tokenEndpointAuthMethod": "client_secret_basic",
"accessTokenTTL": 3600
}
}{
"message": "Invalid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Not Found",
"statusCode": 401
}Clients
Update client
PATCH
/
clients
/
{id}
Update client
Authorizations
Path Parameters
Body
application/json
Response
Client updated successfully
Example:
"uuid-123"
Example:
"client_abc123"
Example:
"secret_xyz789"
Example:
"My Client"
Available options:
public, private, m2m Example:
["https://example.com/callback"]
Example:
["openid", "profile"]
Example:
["authorization_code"]
Example:
true
Example:
{
"tokenEndpointAuthMethod": "client_secret_basic",
"accessTokenTTL": 3600
}
⌘I